;Honda Commands

;================================================================
;-| Stuff |------------------------------------------------------
;================================================================

[ReMap]
a = a
b = b
c = c
x = x
y = y
z = z
s = s

[Defaults]
Command.Time = 15
Command.Buffer.Time = 3

;================================================================
;-| LDM |--------------------------------------------------------
;================================================================

[Command]
name = "hcbx2_z"
command = ~F,$D,B,F,$D,B, z
time = 30

[Command]
name = "cB,F,B,F z"
command = ~30$B, $F, B, F, z
time = 30

;================================================================
;-| DM |--------------------------------------------------------
;================================================================

[Command]
name = "cB,F,B,F x"
command = ~30$B, $F, B, F, x
time = 30

[Command]
name = "cB,F,B,F y"
command = ~30$B, $F, B, F, y
time = 30

[Command]
name = "cB,F,B,F a"
command = ~30$B, $F, B, F, a
time = 30

[Command]
name = "cB,F,B,F b"
command = ~30$B, $F, B, F, b
time = 30

;================================================================
;-| SPECIALS |---------------------------------------------------
;================================================================

[Command]
name = "cB,F x"
command = ~30$B, $F, x

[Command]
name = "cB,F y"
command = ~30$B, $F, y

[Command]
name = "xxxxx"
command = x,x,x,x,x
time = 60
buffer.time = 5

[Command]
name = "xxxxx"
command = x,y,x,y,x
time = 60
buffer.time = 5

[Command]
name = "xxx"
command = x,x,x
time = 40
buffer.time = 5

[Command]
name = "xx"
command = x,x
time = 40
buffer.time = 5

[Command]
name = "yyyyy"
command = y,y,y,y,y
time = 60
buffer.time = 5

[Command]
name = "yyyyy"
command = y,x,y,x,y
time = 60
buffer.time = 5

[Command]
name = "yyy"
command = y,y,y
time = 40
buffer.time = 5

[Command]
name = "yy"
command = y,y
time = 40
buffer.time = 5

[Command]
name = "cD,U a"
command = ~30$D, $U, a

[Command]
name = "cD,U b"
command = ~30$D, $U, b

[Command]
name = "hcb,F x"
command = ~F, $D, B, F, x
time = 30

[Command]
name = "hcb,F y"
command = ~F, $D, B, F, y
time = 30

[Command]
name = "dp a"
command = ~F, D, F, a
time = 30

[Command]
name = "dp b"
command = ~F, D, F, b
time = 30

;================================================================

;================================================================
;-| DOUBLE TAP |-------------------------------------------------
;================================================================

[Command]
name = "FF"
command = ~F, F
time = 10

[Command]
name = "BB"
command = ~B, B
time = 10

[Command]
name = "FBF"
command = ~F, B, F
time = 10

[Command]
name = "BFB"
command = ~B, F, B
time = 10

;================================================================

;================================================================
;-| 2/3 button combination |-------------------------------------
;================================================================

[Command]
name = "recovery"
command = c
time = 1

[Command]
name = "recovery"
command = x+a
time = 1

[Command]
name = "knockdown"
command = z
time = 1

[Command]
name = "knockdown"
command = y+b
time = 1

;================================================================

;================================================================
;-| Hold Button |------------------------------------------------
;================================================================

[Command]
name = "hold_a"
command = /$a
time = 1

[Command]
name = "hold_b"
command = /$b
time = 1

[Command]
name = "hold_c"
command = /$c
time = 1

[Command]
name = "hold_x"
command = /$x
time = 1

[Command]
name = "hold_y"
command = /$y
time = 1

[Command]
name = "hold_z"
command = /$z
time = 1

;================================================================

[Command]
name = "longjump"
command = ~$D, $U
time = 18

;================================================================
;-| SINGLE BUTTON |----------------------------------------------
;================================================================


[Command]
name = "a"
command = a
time = 1


[Command]
name = "b"
command = b
time = 1


[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1


[Command]
name = "start"
command = s
time = 1
;================================================================

;================================================================
;-| HOLD DIRECTION |---------------------------------------------
;================================================================

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

;================================================================
;-| TAP BUTTON |-------------------------------------------------
;================================================================

[Command]
name = "tap_a"
command = ~a
time = 1

[Command]
name = "tap_b"
command = ~b
time = 1

[Command]
name = "tap_x"
command = ~x
time = 1

[Command]
name = "tap_y"
command = ~y
time = 1

;====================<DIR>====================

[Command]
name="fwd"
command=F
time=1
[Command]
name="back"
command=B
time=1
[Command]
name="up"
command=U
time=1
[Command]
name="down"
command=D
time=1

;################################################################
;- |2. STATE ENTRY| ---------------------------------------------
;################################################################

[Statedef -1]

;=======================================
; Combo vars
;=======================================
[State -1, Combo1]
type = Varset
trigger1 = 1
var(39) = 0

[State -1, Combo2]
type = Varset
trigger1 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger2 = (stateno = 250) && animelemtime(3) > 0 && animelemtime(4) < 0 && movetype = A && movecontact
trigger3 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger4 = (stateno = 420) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger5 = (stateno = 500) && animelemtime(8) > 0 && animelemtime(9) < 0 && movetype = A && movecontact
trigger6 = (stateno = 320) && animelemtime(3) > 0 && animelemtime(4) < 0 && movetype = A && movecontact
ignorehitpause = 1
var(39) = var(39) | 1

[State -1, fakeCombo]
type = Varset
trigger1 = 1
var(42) = 0

[State -1, Combo2]
type = Varset
trigger1 = (stateno = 500) && animelemtime(5) > 1 && animelemtime(7) <= 0
ignorehitpause = 1
var(42) = var(42) | 1

;=======================================
; LDM
;=======================================
;---------------------------------------------------------------------------

;Orochi Kudaki
[State -1, Orochi Kudaki]
type = ChangeState
value = 3200
triggerall = Var(59) = 0
triggerall = Power >= 2000
triggerall = Command = "hcbx2_z"
trigger1 = statetype != A && ctrl

;Orochi Kudaki
[State -1, Orochi Kudaki]
type = ChangeState
value = 3201
triggerall = Var(59) = 0
triggerall = Power >= 2000
triggerall = Command = "hcbx2_z"
trigger1 = var(39) = 1
trigger2 = var(42) = 1
trigger3 = (stateno = 1101 || stateno = 1151) && ((fvar(5) > 1000 && !var(26)) || var(26))
trigger4 = stateno = 3002 && ((fvar(5) > 1000 && !var(26)) || var(26)) && animelemtime(6) >= 1 && animelemtime(18) < 0 && movecontact

;Super Kinashi Futa
[State -1, Super Kinashi Futa]
type = ChangeState
value = 3300
triggerall = Var(59) = 0
triggerall = Power >= 2000
triggerall = life <= 250
triggerall = Command = "cB,F,B,F z"
trigger1 = statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 40
trigger5 = stateno = 100

;=======================================
; DM
;=======================================
;---------------------------------------------------------------------------

;Fuji Oroshi
[State -1, Fuji Oroshi]
type = ChangeState
value = 3100
triggerall = Var(59) = 0
triggerall = Power >= 1000
triggerall = (!var(10) && !var(28)) || var(28)
triggerall = Command = "cB,F,B,F a" || Command = "cB,F,B,F b"
trigger1 = statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 40
trigger5 = stateno = 100

;Oni Musou
[State -1, Oni Musou]
type = ChangeState
value = 3000
triggerall = Var(59) = 0
triggerall = Power >= 1000
triggerall = (!var(10) && !var(28)) || var(28)
triggerall = Command = "cB,F,B,F x" || Command = "cB,F,B,F y"
trigger1 = statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 100
trigger5 = (stateno = 1101 || stateno = 1151) && ((fvar(5) > 1000 && !var(26)) || var(26))

;=======================================
; Special Moves
;=======================================
;---------------------------------------------------------------------------
;Super Zutsuki x
[State -1, Super Zutsuki x]
type = ChangeState
value = 1000
triggerall = Var(59) = 0
triggerall = Command = "cB,F x"
trigger1 = StateType != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 100

;Super Zutsuki y
[State -1, Super Zutsuki y]
type = ChangeState
value = 1050
triggerall = Var(59) = 0
triggerall = Command = "cB,F y"
trigger1 = StateType != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 100

;---------------------------------------------------------------------------
;Hyakuretsu Harite a
[State -1,Hyakuretsu Harite a]
type = ChangeState
value = 1100
triggerall = Var(59) = 0
triggerall = Command = "xxxxx"
trigger1 = StateType != A && ctrl
trigger2 = stateno = 100

;Hyakuretsu Harite a comboed
[State -1,Hyakuretsu Harite a]
type = ChangeState
value = 1100
triggerall = Var(59) = 0
triggerall = Command = "xxx"; || Command = "xxx"
trigger1 = var(39) = 1
trigger2 = var(42) = 1

;Hyakuretsu Harite b
[State -1, Hyakuretsu Harite b]
type = ChangeState
value = 1150
triggerall = Var(59) = 0
triggerall = Command = "yyyyy"
trigger1 = StateType != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 100

;Hyakuretsu Harite b comboed
[State -1,Hyakuretsu Harite a]
type = ChangeState
value = 1150
triggerall = Var(59) = 0
triggerall = Command = "yyy"; || Command = "xxx"
trigger1 = var(39) = 1
trigger2 = var(42) = 1

;---------------------------------------------------------------------------

;Super Hyakkan Otoshi a
[State -1, Somersault Kick]
type = ChangeState
value = 1200
triggerall = Var(59) = 0
triggerall = command = "cD,U a"
trigger1 = Statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 40
trigger5 = stateno = 100

;Super Hyakkan Otoshi b
[State -1, Somersault Kick b]
type = ChangeState
value = 1250
triggerall = Var(59) = 0
triggerall = command = "cD,U b"
trigger1 = Statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 40
trigger5 = stateno = 100

;-------------------------------------------------
;Ooichou Nage
[State -1, Ooichou Nage]
type = ChangeState
value = 1300 + 1*(var(39))
triggerall = var(59) = 0
triggerall = command = "hcb,F x" || command = "hcb,F y"
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 100
;----------------------------------------------

;=======================================
;Throws
;=======================================
;Ground---------------------------------
;Saba Ori
[State -1, Saba Ori ]
type = ChangeState
value = 800
triggerall = command = "y"
triggerall = statetype = S && ctrl && stateno != 100
trigger1 = command = "holdfwd" && p2bodydist X < 3 && p2movetype != H
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger2 = command = "holdback" && p2bodydist X < 5 && p2movetype != H
trigger2 = (p2statetype = S) || (p2statetype = C)

;Tawara Nage
[State -1, Tawara Nage ]
type = ChangeState
value = 850
triggerall = command = "b"
triggerall = statetype = S && ctrl && stateno != 100
trigger1 = command = "holdfwd" && p2bodydist X < 3 && p2movetype != H
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger2 = command = "holdback" && p2bodydist X < 5 && p2movetype != H
trigger2 = (p2statetype = S) || (p2statetype = C)

;=======================================
;Basic Commands
;=======================================
;---------------------------------------------
; Taunt
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
triggerall = stateno != 190
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------
; Run fwd
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = command = "FF"
triggerall = command != "FBF"
trigger1 = statetype = S
trigger1 = ctrl

; Step back
[State -1, Stp Back]
type = ChangeState
value = 105
triggerall = command = "BB"
triggerall = command != "BFB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------
; Roll Back
[State -1,RollB]
type = ChangeState
value = 750
triggerall = command = "recovery" && command = "holdback"
triggerall = life > 0 && statetype != A
trigger1 = ctrl                                              ;Normal Roll Back
trigger2 = power >= 1000 && (stateno = 150 || stateno = 152) ;Roll Back Counter
trigger3 = power >= 1000 && var(39) = 1                      ;Roll Back Cancel

; Roll Forward
[State -1,RollF]
type = ChangeState
value = 700
triggerall = command = "recovery" ;&& command = "holdfwd"
triggerall = life > 0 && statetype != A
trigger1 = ctrl || stateno = 100                             ;Normal Roll
trigger2 = power >= 1000 && (stateno = 150 || stateno = 152) ;Roll Counter
trigger3 = power >= 1000 && var(39) = 1                      ;Roll Cancel

;---------------------------------------------
; Knock Down Counter
[State -1,CD counter]
type = ChangeState
value = 525
triggerall = command = "knockdown"
triggerall = power >= 1000 && life > 0 && statetype != A
trigger1 = stateno = 150 
trigger2 = stateno = 152 

; Knock Down
[State -1,Knockdown]
type = ChangeState
value = 500
triggerall = command = "knockdown" 
trigger1 = statetype = S && ctrl
trigger2 = stateno = 100

; Knock Down Jumping
[State -1,JCD]
type = ChangeState
value = 550
triggerall = command = "knockdown"
trigger1 = statetype = A && ctrl


;=======================================
;Support Attacks
;=======================================

;Harai-geri
[State -1,FHP]
type = ChangeState
value = 300
triggerall = command = "b" && (command = "holdfwd"  || command = "holdback")
triggerall = command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = stateno = 100

;Harai-geri Cancel
[State -1,FHP]
type = ChangeState
value = 301
triggerall = command = "b" && (command = "holdfwd"  || command = "holdback")
triggerall = command != "holddown"
trigger1 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger2 = (stateno = 250) && animelemtime(1) > 0 && animelemtime(4) < 0 && movetype = A && movecontact
trigger3 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact

;--------------------------------------------------------------------------------

;Hara no dageki
[State -1,Hara no dageki]
type = ChangeState
value = 310
triggerall = command = "holddown" && command = "x"
trigger1 = statetype = A && ctrl

;--------------------------------------------------------------------------------

;Rokikku
[State -1,Rokikku]
type = ChangeState
value = 320
triggerall = command = "a" && command = "holdback" && command = "holddown"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 100

;=======================================
;Basic Attacks
;=======================================
;Light Punch
[State -1,Lp]
type = ChangeState
value = 200
triggerall = command = "x" && command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = (stateno = 200) && animelemtime(3) > 2 && animelemtime(3) <= 4 && movetype = A && movecontact
trigger3 = (stateno = 220) && animelemtime(5) > 0 && animelemtime(7) < 0 && movetype = A && movecontact
trigger4 = (stateno = 400) && animelemtime(3) > 2 && animelemtime(3) <= 4 && movetype = A && movecontact && command != "holddown" && command != "holdfwd" && command != "holdback"
trigger5 = (stateno = 420) && animelemtime(5) > 1 && animelemtime(6) <= 3 && movetype = A && movecontact && command != "holddown"  && command != "holdfwd" && command != "holdback"
trigger6 = stateno = 100
ignorehitpause = 1

;-----------------------------------------------------------

;Light Kick
[State -1,Lk]
type = ChangeState
value = 220
triggerall = command = "a" && command != "holddown"
triggerall = p2bodydist x >= 45
trigger1 = statetype = S && ctrl
trigger2 = stateno = 100
ignorehitpause = 1


;Light Kick Close
[State -1,Lk]
type = ChangeState
value = 230
triggerall = command = "a" && command != "holddown"
triggerall = p2bodydist x < 45
trigger1 = statetype = S && ctrl
trigger2 = stateno = 100
ignorehitpause = 1
;-----------------------------------------------------------------------

;High Punch
[State -1,hp]
type = ChangeState
value = 240
triggerall = command = "y" && command != "holddown"
triggerall = p2bodydist x >= 45
trigger1 = statetype = S && ctrl
trigger2 = stateno = 100
ignorehitpause = 1

;High Punch Close
[State -1,hpc]
type = ChangeState
value = 250
triggerall = command = "y" && command != "holddown"
triggerall = p2bodydist x < 45
trigger1 = statetype = S && ctrl
trigger2 = stateno = 100
ignorehitpause = 1

;------------------------------------------------------------------------

;High Kick
[State -1,hk]
type = ChangeState
value = 260
triggerall = command = "b" && command != "holddown"
;triggerall = p2bodydist x >= 52
trigger1 = statetype = S && ctrl
trigger2 = stateno = 100
ignorehitpause = 1

;-------------------------------------------------------------------------

;Crouch light Punch
[State -1,CLP]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = (stateno = 200) && animelemtime(3) > 2 && animelemtime(3) <= 4 && movetype = A && movecontact
trigger3 = (stateno = 220) && animelemtime(5) > 0 && animelemtime(7) < 0 && movetype = A && movecontact
trigger4 = (stateno = 400) && animelemtime(3) > 2 && animelemtime(3) <= 4 && movetype = A && movecontact && command != "holddown" && command != "holdfwd" && command != "holdback"
trigger5 = (stateno = 420) && animelemtime(5) > 1 && animelemtime(6) <= 3 && movetype = A && movecontact && command != "holddown"  && command != "holdfwd" && command != "holdback"
trigger6 = stateno = 47
trigger7 = stateno = 100
ignorehitpause = 1

;Crouch Light Kick
[State -1,CLk]
type = ChangeState
value = 420
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = stateno = 47
trigger3 = stateno = 100
ignorehitpause = 1

;Crouch High Punch
[State -1,Chp]
type = ChangeState
value = 440
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = stateno = 47
trigger3 = stateno = 100
ignorehitpause = 1

;Crouch High Kick
[State -1,CLk]
type = ChangeState
value = 460
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = stateno = 47
trigger3 = stateno = 100
ignorehitpause = 1

;------------------------------------------------------------------------

;Jump Neutral Light Punch
[State -1,JLPN]
type = ChangeState
value = 600
triggerall = command = "x"
triggerall = statetype = A
triggerall = vel x = 0
trigger1 = statetype = A && ctrl

;Jump Light Punch
[State -1,JLP]
type = ChangeState
value = 600
triggerall = command = "x"
triggerall = statetype = A
trigger1 = vel x != 0 && ctrl
trigger2 = stateno = 41 && ctrl

;Jump Light Kick
[State -1,JLK]
type = ChangeState
value = 620
triggerall = command = "a"
triggerall = statetype = A
trigger1 = vel x != 0 && ctrl
trigger2 = stateno = 41 && ctrl

;Jump Neutral Light Kick
[State -1,JLKN]
type = ChangeState
value = 620
triggerall = command = "a"
triggerall = vel x = 0
trigger1 = statetype = A && ctrl

;Jump Neutral High Punch
[State -1,JHPN]
type = ChangeState
value = 650
triggerall = command = "y"
triggerall = statetype = A && ctrl
trigger1 = vel x = 0
trigger2 = stateno = 41

;Jump High Punch
[State -1,JHP]
type = ChangeState
value = 640
triggerall = command = "y"
triggerall = statetype = A
trigger1 = vel x != 0 && ctrl

;Jump High Kick
[State -1,JHK]
type = ChangeState
value = 660
triggerall = command = "b"
triggerall = statetype = A
trigger1 = vel x != 0 && ctrl
trigger2 = stateno = 41 && ctrl

;Jump Neutral High Kick
[State -1,JHKN]
type = ChangeState
value = 670
triggerall = command = "b"
triggerall = vel x = 0
trigger1 = statetype = A && ctrl
